Bug 618842 - Wrong types of updates in update viewer
Wrong types of updates in update viewer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 16:46 EDT by Christoph Wickert
Modified: 2012-08-16 15:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of gpk-update-viewer (82.31 KB, image/png)
2010-07-27 16:46 EDT, Christoph Wickert
no flags Details

  None (edit)
Description Christoph Wickert 2010-07-27 16:46:54 EDT
Created attachment 434842 [details]
Screenshot of gpk-update-viewer

Description of problem:
gpk-update-viewer does not distinguish the different types of updates properly.

Version-Release number of selected component (if applicable):
gnome-packagekit-2.30.3-1.fc13.x86_64

How reproducible:
always for a while now

Steps to Reproduce:
1. use the update viewer to install a few updates
2.
3.
  
Actual results:
Updates are not in sync with bodhi: 
https://admin.fedoraproject.org/updates/F13/FEDORA-2010-11309 and 
https://admin.fedoraproject.org/updates/F13/FEDORA-2010-11302
are both bugfix updates and both have a bug linked, but in the update viewer only the latter is marked a bugfix, the other is a "simple update", which translates translates to "enhancement" I guess.

Expected results:
All updates in the screenshot should be marked bugfix.
Comment 1 Richard Hughes 2010-07-28 05:11:25 EDT
But the update in the screenshot is 11475, not 11302 -- are you sure a new version of imapsync wasn't released without the bugfix status.
Comment 2 Christoph Wickert 2010-07-28 05:54:53 EDT
Both 11309 and 11302 are visible in the screenshot, although 11475 is highlighted. Compate the version numbers, there can only be a single update for each version in boghi.

https://admin.fedoraproject.org/updates/F13/FEDORA-2010-11309 is marked bugfix both in boghi and gpk-update-viewer

https://admin.fedoraproject.org/updates/F13/FEDORA-2010-11475 and
https://admin.fedoraproject.org/updates/F13/FEDORA-2010-11475 are marked bugfix in bodhi but "simpe update" in gpk-update-viewer. Same for all other updates I had yesterday (though they are not on the screenshot), 56 in total. 

gpk-update-viewer: Only two were marked bugfix (11475 and 11475)
bodhi: Only two are marked enhancements (11305 and 11342)
Comment 3 Bug Zapper 2010-07-30 08:54:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-16 15:59:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.